<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        nutna_registrace();
        $js_form = js_form();

        echo hlavicka("$forum_jmeno | Vyhledávání");
        echo logo();
        echo menu();
?>
        <div id="navigace">Vyhledávání</div>
        <form action="hledat.php" method="post" id="hledani">
                <fieldset>
                <legend>Vyhledávání</legend>
                Hledaný výraz: <input type="text" name="vyraz" <?php echo $js_form; ?> /><br /><input type="hidden" name="nepln" value="" />
                <input type="submit" name="hledat" value="Hledat" id="hledat" />
                </fieldset>
        </form>
<?php 
        if(isset($_POST[hledat])) {
                $vyraz = orez_retezec_2($_POST[vyraz]);
        } else {
                $vyraz = orez_retezec_2($_GET[vyraz]);
        }
        if(!empty($vyraz)) {
                if((isset($_POST[hledat])) && (!empty($_POST[nepln]))) { exit(); }
                if(strlen($vyraz) < 4) { 
                        echo "\t<div id=\"hledani_chyba\">Hledaný výraz musí mít minimálně 4 znaky.</div>\n";
                } else {
                        if(empty($_GET[strana])) { $strana = 1; } else { $strana = 1 * $_GET[strana]; }
                        $od = ($strana - 1) * $pocet_hledani_na_stranku;
                        $temata = Array();
                        $query = dotaz("SELECT tema,zprava FROM forum_prispevky WHERE MATCH (zprava) AGAINST ('$vyraz');");
                        if(mysql_num_rows($query) == 0) {
                                echo "\t<div id=\"hledani_chyba\">Hledaný výraz <em>".$vyraz."</em> nebyl nalezen.</div>\n";
                        } else {
                                echo "\t<div id=\"hledani_nadpis\">Témata obsahující hledaný výraz <strong>".$vyraz."</strong>:</div>\n";
                                echo "\t<table cellspacing=\"0\" cellpadding=\"0\" class=\"hledani\">\n\t\t<tr class=\"hledani_hlavicka\"><td>Téma</td><td>Poslední</td><td>Odpovědí</td></tr>\n";
                                $i = 0;
                                while($row = mysql_fetch_array($query)) {
                                        $tema = $row[tema];
                                        if($i % 2) { $radek = " class=\"tr_2\""; } else { $radek = ""; }
                                        if(empty($temata[$tema])) {
                                                $row2 = mysql_fetch_array(dotaz("SELECT id,jmeno,odpovedi,posledni2 FROM forum_temata WHERE id = '$tema';"));
                                                $posledni2 = str_replace("<br />", ", ", $row2[posledni2]);
                                                echo "\t\t<tr".$radek."><td><a href=\"tema.php?tema=".$row2[id]."\" title=\"".$row2[id]."\"><strong>".$row2[jmeno]."</strong></a></td><td class=\"center\">".$posledni2."</td><td class=\"center\">".$row2[odpovedi]."</td></tr>\n";
                                                $i++;
                                        }
                                        $temata[$tema] = 1;
                                }
                                echo "\t</table>\n";
                        }
                }
        }
        echo $paticka; 
?>